/***
 * CColorPicker.h
 *
 *		by Bernie Bernstein (bernard@cs.colorado.edu)
 *
 *		SUPERCLASS = CPane
 *
 *		pick a color when this control is clicked on.
 *		display its color.
 ***/

#define _H_CColorPicker

#include <CPane.h>

class CColorPicker : public CPane
{
protected:
	Str255		prompt;
	RGBColor	currentColor;

public:

	void	IColorPicker(CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight, short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing);

	virtual void	IViewTemp( CView *anEnclosure, CBureaucrat *aSupervisor,
								Ptr viewData);
								
	virtual void		SetPrompt(ConstStr255Param msg);
	virtual void		SetCurrentColor(RGBColor aColor);
	virtual RGBColor	GetCurrentColor(void);
	
	virtual void	DoClick( Point hitPt, short modifierKeys, long when);
	virtual void	Draw( Rect *area);
};




